From 49ed89d82c7f7c59fc3b5126997acf4f1773807b Mon Sep 17 00:00:00 2001
From: Richard Alam <ritzalam@gmail.com>
Date: Fri, 23 Apr 2021 17:22:41 +0000
Subject: [PATCH]  - add alternative way of running bbb-web in dev environment
 which doesn't    require to be run with user bigbluebutton.

---
 bigbluebutton-web/run-dev.sh | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100755 bigbluebutton-web/run-dev.sh

diff --git a/bigbluebutton-web/run-dev.sh b/bigbluebutton-web/run-dev.sh
new file mode 100755
index 0000000000..2f7bd32fa5
--- /dev/null
+++ b/bigbluebutton-web/run-dev.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+IS_BBB_WEB_RUNNING=`netstat -an | grep LISTEN | grep 8090 > /dev/null && echo 1 || echo 0`
+
+if [ "$IS_BBB_WEB_RUNNING" = "1" ]; then
+	echo "bbb-web is running, exiting"
+	exit 1
+fi
+
+echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+echo "  **** This is for development only *****"
+echo " "
+echo " Make sure you change permissions to /var/bigbluebutton/"
+echo " to allow bbb-web to write to the directory. "
+echo " "
+echo " chmod -R 777 /var/bigbluebutton/"
+echo " "
+echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+
+
+exec grails prod run-app --port 8090
-- 
GitLab